New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

[Mac] "psutil.ZombieProcess" error at interpreter quit with psutil==3.3.0 #315

Closed
fzumstein opened this Issue Dec 1, 2015 · 0 comments

Comments

Projects
None yet
1 participant
@fzumstein
Member

fzumstein commented Dec 1, 2015

>>> import xlwings
>>> quit()
Error in atexit._run_exitfuncs:
Traceback (most recent call last):
  File "/Users/Felix/anaconda3/anaconda/lib/python3.5/site-packages/psutil/_psosx.py", line 199, in wrapper
    return fun(self, *args, **kwargs)
  File "/Users/Felix/anaconda3/anaconda/lib/python3.5/site-packages/psutil/_psosx.py", line 238, in cmdline
    return cext.proc_cmdline(self.pid)
ProcessLookupError: [Errno 3] No such process

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Users/Felix/anaconda3/anaconda/lib/python3.5/site-packages/psutil/__init__.py", line 539, in name
    cmdline = self.cmdline()
  File "/Users/Felix/anaconda3/anaconda/lib/python3.5/site-packages/psutil/__init__.py", line 592, in cmdline
    return self._proc.cmdline()
  File "/Users/Felix/anaconda3/anaconda/lib/python3.5/site-packages/psutil/_psosx.py", line 209, in wrapper
    raise ZombieProcess(self.pid, self._name, self._ppid)
psutil.ZombieProcess: psutil.ZombieProcess process still exists but it's a zombie (pid=61)

@fzumstein fzumstein added the bug label Dec 1, 2015

@fzumstein fzumstein changed the title from Error at interpreter quit with psutil==3.3.0 to [Mac] Error at interpreter quit with psutil==3.3.0 Dec 1, 2015

@fzumstein fzumstein added this to the v0.6.1 milestone Dec 1, 2015

@fzumstein fzumstein changed the title from [Mac] Error at interpreter quit with psutil==3.3.0 to [Mac] "psutil.ZombieProcess" error at interpreter quit with psutil==3.3.0 Dec 4, 2015

@fzumstein fzumstein closed this in e030b97 Dec 4, 2015

@fzumstein fzumstein modified the milestone: v0.6.1 Dec 4, 2015

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment